- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# keyring – grab secrets from the OS keyring

- Synopsis
- Requirements
- Examples
- Return Values
- Status

## Synopsis

- Allows you to access data stored in the OS provided keyring/keychain.

## Requirements

The below requirements are needed on the local master node that executes this lookup.

- keyring (python library)

## Examples

    - name : output secrets to screen (BAD IDEA)
      debug:
        msg: "Password: {{item}}"
      with_keyring:
        - 'servicename username'

    - name: access mysql with password from keyring
      mysql_db: login_password={{lookup('keyring','mysql joe')}} login_user=joe

## Return Values

Common return values are documented here, the following are the fields unique to this lookup:

Key | Returned | Description
--- | --- | ---
_raw - |  | secrets stored

## Status

- This lookup is not guaranteed to have a backwards compatible interface. [preview]
- This lookup is maintained by the Ansible Community. [community]

### Authors

- Samuel Boucher <boucher.samuel.c@gmail.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.

Hint

Configuration entries for each entry type have a low to high priority order. For example, a variable that is lower in the list will override a variable that is higher up.